RARITY_DEFS = {
	{
		key = "legendary",
		name = "Legendary",
		prefix = "Legendary",
		threshold = 0.001,
		level_offset = 4,
		loot_force = 35,
		color = Color:new(255, 255, 104, 3),
	},
	{
		key = "epic",
		name = "Epic",
		prefix = "Epic",
		threshold = 0.005,
		level_offset = 3,
		loot_force = 30,
		color = Color:new(255, 142, 62, 169),
	},
	{
		key = "rare",
		name = "Rare",
		prefix = "Rare",
		threshold = 0.025,
		level_offset = 2,
		loot_force = 25,
		color = Color:new(255, 42, 73, 189),
	},
	{
		key = "uncommon",
		name = "Uncommon",
		prefix = "Uncommon",
		threshold = 0.1,
		level_offset = 1,
		loot_force = 25,
		color = Color:new(255, 141, 195, 132),
	},
	{
		key = "common",
		name = "Common",
		threshold = 0.5,
		level_offset = 0,
		loot_force = 20,
		color = Color:new(255, 234, 234, 234),
	},
	{
		key = "low",
		name = "Low Quality",
		prefix = "Low Quality",
		threshold = 1,
		level_offset = -1,
		loot_force = 15,
		color = Color:new(255, 179, 179, 179),
	},
	{
		key = "junk",
		name = "Junk",
		prefix = "Junk",
		level_offset = -2,
		loot_force = 10,
		color = Color:new(255, 103, 103, 103),
	},	
}

for index, def in ipairs(RARITY_DEFS) do
	RARITY_DEFS[def.key] = def
	def.index = index
end